Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.queue
Class TransactionalQueueManager.QueueTransactionContext

    java.lang.Object
      org.mule.util.xa.AbstractTransactionContext
          org.mule.util.queue.TransactionalQueueManager.QueueTransactionContext

Enclosing class:
  TransactionalQueueManager

    protected class TransactionalQueueManager.QueueTransactionContext

extends AbstractTransactionContext

Field Summary
`protected Map` | `added`
`protected Map` | `removed`

Fields inherited from class org.mule.util.xa.AbstractTransactionContext
`finished, id, readOnly, status, suspended, timeout`

Constructor Summary
`protected` | `TransactionalQueueManager.QueueTransactionContext()`

Method Summary
`boolean` | `offer(QueueInfo queue, Object item, long timeout)`
`Object` | `peek(QueueInfo queue)`
`Object` | `poll(QueueInfo queue, long timeout)`
`int` | `size(QueueInfo queue)`

Methods inherited from class org.mule.util.xa.AbstractTransactionContext
`finalCleanUp, notifyFinish, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### added

    protected Map added

### removed

    protected Map removed

Constructor Detail

### TransactionalQueueManager.QueueTransactionContext

    protected TransactionalQueueManager.QueueTransactionContext()

Method Detail

### offer

    public boolean offer(QueueInfo queue,
                         Object item,
                         long timeout)
                  throws InterruptedException

  Throws:
    `InterruptedException`

### poll

    public Object poll(QueueInfo queue,
                       long timeout)
                throws IOException,
                       InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

### peek

    public Object peek(QueueInfo queue)
                throws IOException,
                       InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

### size

    public int size(QueueInfo queue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.